/****************************************************************************
 *
 *   Copyright (C) 2003, 2004 Wolfgang G. Reissnegger, All Rights Reserved
 *
 *   gnagflow@users.sourceforge.net                                    
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 2 of
 *   the license, or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public
 *   License along with this program;  if not, write to the
 *       Free Software Foundation, Inc.,
 *       59 Temple Place - Suite 330,
 *       Boston, MA 02111-1307
 *
 ****************************************************************************/

#ifndef INFO_H_
#define INFO_H_

#include "display.h"

#define TYPE_INFO   0xaae8e877
#define INFO_MAX_LINES                  2
#define MAX_NAME_LEN                    160

/******************************************************************************/

// info context object, derived from display context
//
typedef struct info_display_context_d
{
	char text[INFO_MAX_LINES][MAX_NAME_LEN];

// These are accessor macros. Make sure that ctx is of type
// info_display_context_t* when using them...
//
#define c_text      ((info_display_context_t *) ctx)->text
}
info_display_context_t;

/******************************************************************************/

void info_set_text(screen_t * screen, int line, const char *text);
screen_t *info_new(const char *text, int timeout);
unsigned int get_timestamp();

#endif
