/****************************************************************************
 *
 *   originally from Wolfgang G. Reissnegger, 
 *   shortened by Matthias Kirchner, matze@renhcrik.de
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 2 of
 *   the license, or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public
 *   License along with this program;  if not, write to the
 *       Free Software Foundation, Inc.,
 *       59 Temple Place - Suite 330,
 *       Boston, MA 02111-1307
 *
 ****************************************************************************/

#include <assert.h>
#include <stdio.h>

#include "player.h"
#include "puliwera.h"

static struct player_registry_d
{
	int		file_type;
	player_if_t	*interface;
}
player_list[4];

static int last_entry_used = 0;
static unsigned int current_type = FILE_TYPE_UNKNOWN;

static player_if_t *player_get_if(int file_type)
{
	int i;
	for (i = 0; i < last_entry_used; ++i)
	{
		if (player_list[i].file_type == file_type)
		{
			return player_list[i].interface;
		}
	}
	return player_get_if(FILE_TYPE_UNKNOWN);
}

int player_fd()
{
	return player_get_if(current_type)->fd();
}

