/****************************************************************************
 *
 *   originally from Wolfgang G. Reissnegger, 
 *   shortened by Matthias Kirchner, matze@renhcrik.de
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 2 of
 *   the license, or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public
 *   License along with this program;  if not, write to the
 *       Free Software Foundation, Inc.,
 *       59 Temple Place - Suite 330,
 *       Boston, MA 02111-1307
 *
 ****************************************************************************/

#ifndef PLAYER_H_
#define PLAYER_H_

#define FILE_TYPE_MP3       0
#define FILE_TYPE_OGG       1
#define FILE_TYPE_FLAC      2
#define FILE_TYPE_DIR       3
#define FILE_TYPE_PLAYLIST  4
#define FILE_TYPE_URL       5
#define FILE_TYPE_UNKNOWN   6


int player_fd();

// This structure is used by players to register their interface. Right now
// this is pretty much xxx123 based.
//
typedef struct player_if_d
{
	int	(*init)(void);
	void	(*exit)(void);

	int	(*fd)(void);

	void	(*play)(const char *path);
	int	(*stop)(void);
	int	(*pause)(void);
	void	(*fwd)(void);
	void	(*rew)(void);
	void	(*goto_frame)(int frame);

	int	(*recv_message)(void);
	int	(*current_frame)(void);
	int	(*sample_rate)(void);
	int	(*bit_rate)(void);

	int	(*is_playing)(void);
	int	(*is_paused)(void);
	int	(*has_ended)(void);

	const char *(*time)(void);
	const char *(*time_remaining)(void);
}
player_if_t;


#endif
